Page 1 of 1

p2y error

PostPosted: Wed Sep 19, 2018 11:52 am
by mirshowkat07
Dear all,

I recently started using yambo (yambo4.2.3) interfaced with qe-6.3. However, I am getting the error while running the p2y executable.
The error is shown in the image.
Moreover, when I checked in the *.save folder. I could not find the file "data-file.xml", instead, there was a file named as "data-file-schema.xml"

Re: p2y error

PostPosted: Wed Sep 19, 2018 12:32 pm
by Daniele Varsano
Dear mirshowkat07 ,

please sign your post with your complete name and affiliation, this is a rule of the forum, and you can do once for all filling your signature in the user profile.

This is due to recent change of format in QE.
When using qe6.3 you need to add this line when configuring yambo,

./configure (options)
Code: Select all
--with-p2y-version=qexsd


Anyway if you use a more recent version of yambo the qe format is detected automatically and this is not needed anymore.

Best,

Daniele

Re: p2y error

PostPosted: Wed Sep 19, 2018 12:45 pm
by mirshowkat07
Thank you.